summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2026-02-07 07:33:01 +0100
committerMichał Górny <mgorny@gentoo.org>2026-02-07 10:52:19 +0100
commit0479541c96f68728d9bec5fe39f53ef021b9191c (patch)
tree6bc9eeb1b9fcae75e8c735658a4f7dc323b7fdbd /dev-python
parent9485ce3d8acd2cddbff5c56c6178bbae1233b646 (diff)
downloadgentoo-0479541c96f68728d9bec5fe39f53ef021b9191c.tar.gz
gentoo-0479541c96f68728d9bec5fe39f53ef021b9191c.tar.bz2
gentoo-0479541c96f68728d9bec5fe39f53ef021b9191c.zip
dev-python/grpcio-status: Bump to 1.78.0
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/grpcio-status/Manifest1
-rw-r--r--dev-python/grpcio-status/grpcio-status-1.78.0.ebuild46
2 files changed, 47 insertions, 0 deletions
diff --git a/dev-python/grpcio-status/Manifest b/dev-python/grpcio-status/Manifest
index d0da1085db25..31c67a06a7c7 100644
--- a/dev-python/grpcio-status/Manifest
+++ b/dev-python/grpcio-status/Manifest
@@ -1 +1,2 @@
DIST grpc-1.76.0.gh.tar.gz 15387277 BLAKE2B 529effe73d8a8f0a07b18127c05f3d9752294ffbba9b44470974905ce6a458bd2d7cbb70be59c1c22d32b56151a3f2c891b815b5eb0d8a381bf7744ceb513d0a SHA512 6338448d7c0fc78c38480f1fafd7605d031b600a702df3771a9d1b1236da7bf97a93dbdbc2d93d12d395411dc2f2ac57587ad1b697c4b2a5ac56fb8af1184501
+DIST grpc-1.78.0.gh.tar.gz 15477838 BLAKE2B 10900e436c7ad4dc79cb05e9dc18b560333c583225930c7f10f9f4c3421fb6ea4a7a98d971ae2cd8ba04ed53086faf85e2f4f489b38751b8ae5537240a5548b7 SHA512 6ec7a8acab5418e6ce85a03f749113a6e2546b39de5618217a78f9ed36e57a6b02be76a481c3ae3692405ee722a3884dd10df1a07fe83417f4247ce749a7b800
diff --git a/dev-python/grpcio-status/grpcio-status-1.78.0.ebuild b/dev-python/grpcio-status/grpcio-status-1.78.0.ebuild
new file mode 100644
index 000000000000..3195eb4fb5ff
--- /dev/null
+++ b/dev-python/grpcio-status/grpcio-status-1.78.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2024-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+MY_P=grpc-${PV}
+DESCRIPTION="Reference package for GRPC Python status proto mapping"
+HOMEPAGE="
+ https://grpc.io/
+ https://github.com/grpc/grpc/
+ https://pypi.org/project/grpcio-status/
+"
+SRC_URI="
+ https://github.com/grpc/grpc/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}/src/python/grpcio_status
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/grpcio-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/googleapis-common-protos-1.5.5[${PYTHON_USEDEP}]
+ <dev-python/protobuf-7[${PYTHON_USEDEP}]
+ >=dev-python/protobuf-6.31.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/coverage[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_test() {
+ cd "${WORKDIR}/${MY_P}/src/python/grpcio_tests" || die
+ epytest tests{,_aio}/status
+}